Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::BlendEquation::Extensions Class Reference

Encapsulates queries of extension availability, obtains extension function pointers, and provides convinience wrappers for calling extension functions. More...

Inheritance diagram for osg::BlendEquation::Extensions:

[legend]
List of all members.

## Public Member Functions
| Extensions (unsigned int contextID)
| Extensions (const Extensions &rhs)
void | lowestCommonDenominator (const Extensions &rhs)
void | setupGLExtenions (unsigned int contextID)
void | setBlendEquationSupported (bool flag)
bool | isBlendEquationSupported () const
bool | isSGIXMinMaxSupported () const
bool | isLogicOpSupported () const
void | setBlendEquationProc (void *ptr)
void | glBlendEquation (GLenum mode) const
## Protected Member Functions
| ~Extensions ()
## Protected Attributes
bool | _isBlendEquationSupported
bool | _isSGIXMinMaxSupported
bool | _isLogicOpSupported
void * | _glBlendEquation

## Detailed Description

Encapsulates queries of extension availability, obtains extension function pointers, and provides convinience wrappers for calling extension functions.

## Constructor & Destructor Documentation

osg::BlendEquation::Extensions::Extensions | ( | unsigned int | contextID | ) |

osg::BlendEquation::Extensions::Extensions | ( | const Extensions & | rhs | ) |

osg::BlendEquation::Extensions::~Extensions | ( |  | ) | `[inline, protected]`

## Member Function Documentation

void osg::BlendEquation::Extensions::glBlendEquation | ( | GLenum | mode | ) | const

bool osg::BlendEquation::Extensions::isBlendEquationSupported | ( |  | ) | const`[inline]`

bool osg::BlendEquation::Extensions::isLogicOpSupported | ( |  | ) | const`[inline]`

bool osg::BlendEquation::Extensions::isSGIXMinMaxSupported | ( |  | ) | const`[inline]`

void osg::BlendEquation::Extensions::lowestCommonDenominator | ( | const Extensions & | rhs | ) |

void osg::BlendEquation::Extensions::setBlendEquationProc | ( | void * | ptr | ) | `[inline]`

void osg::BlendEquation::Extensions::setBlendEquationSupported | ( | bool | flag | ) | `[inline]`

void osg::BlendEquation::Extensions::setupGLExtenions | ( | unsigned int | contextID | ) |

## Member Data Documentation

void* osg::BlendEquation::Extensions::_glBlendEquation`[protected]`

bool osg::BlendEquation::Extensions::_isBlendEquationSupported`[protected]`

bool osg::BlendEquation::Extensions::_isLogicOpSupported`[protected]`

bool osg::BlendEquation::Extensions::_isSGIXMinMaxSupported`[protected]`

The documentation for this class was generated from the following file:

- BlendEquation